#!/bin/ash
#
# This script prints everything engineering might need to debug a problem.

echo version
echo =======
/usr/local/bin/version

#echo agent rd_leds
#echo =============
#/usr/local/bin/agent rd_leds

echo ifconfig
echo ========
ifconfig

#echo agent rd_info
#echo =============
#/usr/local/bin/agent rd_info
#
#echo sel info
#echo ========
#/usr/local/bin/sel info
#
#echo sel rd_all
#echo ==========
#/usr/local/bin/sel rd_all

#echo sensor
#echo ======
#/usr/local/bin/sensor

echo rlm_stats -p
echo ============
/usr/local/bin/rlm_stats -p

echo ps
echo ==
ps

echo top
echo ======================================
/usr/bin/top -n 1

echo mount
echo =====
mount

echo uptime
echo ======
uptime

echo date
echo ====
date

echo whoami
echo ======
whoami

echo free
echo ====
free

echo cat /proc/meminfo
echo =================
cat /proc/meminfo

echo cat /var/log/messages
echo =====================
cat /var/log/messages

echo cat /var/log/debug
echo ==================
cat /var/log/debug

echo cat /var/log/messages.1
echo =======================
cat /var/log/messages.1

echo cat /var/log/debug.1
echo ====================
cat /var/log/debug.1

echo cat /var/log/authlog - SSH releated logs
echo ========================================================
cat /var/log/authlog

echo cat /var/log/authlog.1 - SSH releated logs
echo ==========================================================
cat /var/log/authlog.1

echo cat /var/log/blocked_ip - Current Blocked IP address
echo ====================================================
cat /var/log/blocked_ip

echo cat /mnt/logs/etc/rlm_config_from_filer
echo =======================================
cat /mnt/logs/etc/rlm_config_from_filer

echo cat /mnt/logs/etc/rlm_config_to_filer
echo =====================================
cat /mnt/logs/etc/rlm_config_to_filer

echo cat /mnt/logs/etc/sp_ssh_config
echo =====================================
cat /mnt/logs/etc/sp_ssh_config
echo cat /etc/network/interfaces
echo ===========================
cat /etc/network/interfaces

echo cat /mnt/logs/etc/interfaces
echo ============================
cat /mnt/logs/etc/interfaces

echo cat /mnt/logs/etc/trap_conf
echo ============================
cat /mnt/logs/etc/trap_conf

echo cat /mnt/logs/etc/takeover_conf
echo ===============================
cat /mnt/logs/etc/takeover_conf

echo cat /mnt/logs/etc/rsa_conf
echo ===============================
sed -e 's/password.*/password xxxx/g' -e 's/username.*/username xxxx/g' /mnt/logs/etc/rsa_conf

echo cat /tmp/rlm_runtime_registry
echo ===============================
cat /tmp/rlm_runtime_registry

echo cat /tmp/rsad/rsad_job_stats
echo ===============================
cat /tmp/rsad/rsad_job_stats

echo cat /etc/resolv.conf
echo ===============================
cat /etc/resolv.conf

echo IPv4 route
echo ==========
route

echo IPv6 route
echo ==========
route -A inet6


echo ip -6 addr
echo ================================
ip -6 addr

echo miitool eth0
echo =============
/usr/local/bin/miitool eth0

echo cat /mnt/logs/etc/rlm_port_config
echo =====================================
cat /mnt/logs/etc/rlm_port_config

echo cat /mnt/logs/etc/rlm_config_xtd_info
echo =====================================
cat /mnt/logs/etc/rlm_config_xtd_info

echo "."
exit 0
