#!/bin/ash
# Copyright (c) 2008-2012 NetApp, Inc
# All rights reserved.

autoneg_enabled=`/usr/local/bin/miitool eth0 | grep -c "auto negotiate: complete"`;
/usr/local/bin/is_spectre.sh;
if [ $? -eq 0 ]; then
	echo "Warning: Auto-negotiation cannot be disabled on the RLM Ethernet interface of FAS/V 3100 series systems."
	if [ $1 = "auto" ]; then
		if [ $autoneg_enabled -eq 1 ]; then
			echo "Auto-negotiation is already enabled. Restarting the auto-negotiation process. "
		fi
	else
		if [ $1 == "10t-hd" -o $1 == "10t-fd" -o $1 == "100tx-hd" -o $1 == "100tx-fd" ]; then
			echo "The unsupported Ethernet configuration was ignored. "
		fi
	fi
else
	echo "Warning: Do not manually configure speed and duplex for the RLM Ethernet port unless auto-negotiation is disabled on the link's network switch port. "
	if [ $1 = "auto" ]; then
		if [ $autoneg_enabled -eq 1 ]; then
			echo "Auto-negotiation is already enabled. Restarting auto-negotiation process. "
		fi
	fi
fi
